> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Report History



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml post /api/content/v1/reportschedules/history/search
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/history/search:
    post:
      tags:
        - Scheduled Reports API
      summary: Search Report History
      operationId: searchReportHistory
      parameters:
        - in: query
          name: filter
          schema:
            type: string
            default: USER
          description: Filter type
        - in: query
          name: limit
          schema:
            type: integer
            default: 100
          description: Number of items to return
        - in: query
          name: skip
          schema:
            type: integer
            default: 0
          description: Number of items to skip
        - in: query
          name: orderBy
          schema:
            type: string
            default: startTime
            enum:
              - reportTitle
              - startTime
              - endTime
              - automated
              - cardCount
              - attachmentCount
              - attachmentSize
              - emailSize
          description: Field to sort by
        - in: query
          name: isAscending
          schema:
            type: boolean
            default: false
          description: Sort order
      requestBody:
        description: ReportLogSearchCriteria object
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportLogSearchCriteria'
            examples:
              example:
                value:
                  includeTitleClause: true
                  titleSearchText: Sales
                  includeStatusClause: true
                  status: success
                  includeTypeClause: true
                  isAutomated: true
                  includeScheduleIdClause: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              examples:
                example:
                  value:
                    - id: 123456
                      reportTitle: Sales Report
                      startTime: '2024-11-14T10:00:00Z'
                      endTime: '2024-11-14T10:05:00Z'
                      automated: true
                      status: success
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  schemas:
    ReportLogSearchCriteria:
      type: object
      properties:
        includeTitleClause:
          type: boolean
        titleSearchText:
          type: string
        includeStatusClause:
          type: boolean
        status:
          type: string
        includeTypeClause:
          type: boolean
        isAutomated:
          type: boolean
        includeScheduleIdClause:
          type: boolean
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````